DiskStoreMXBean (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, interface: DiskStoreMXBean

Package org.apache.geode.management

# Interface DiskStoreMXBean

public interface DiskStoreMXBean
MBean that provides access to information and management functionality for a `DiskStore`.

Since:
  GemFire 7.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `flush()`
  Causes any data that is currently in the asynchronous queue to be written to disk.
  `boolean`
  `forceCompaction()`
  Requests the DiskStore to start compacting.
  `void`
  `forceRoll()`
  Requests the DiskStore to start writing to a new op-log.
  `int`
  `getCompactionThreshold()`
  Returns the threshold at which an op-log may be compacted.
  `String[]`
  `getDiskDirectories()`
  Returns the path of the directories to which the region's data will be written.
  `default float`
  `getDiskFreePercentage()`
  Returns the free percentage of this disk storage if directories where created with max size.
  `long`
  `getDiskReadsAvgLatency()`
  Returns the disk reads average latency in nanoseconds.
  `float`
  `getDiskReadsRate()`
  Returns the average latency of disk reads in nanoseconds Its the average latency required to read a byte from disk.
  `float`
  `getDiskUsageCriticalPercentage()`
  Returns the critical threshold for disk usage as a percentage of the total disk volume.
  `default float`
  `getDiskUsagePercentage()`
  Returns the usage percentage of this disk storage if directories where created with max size.
  `float`
  `getDiskUsageWarningPercentage()`
  Returns the warning threshold for disk usage as a percentage of the total disk volume.
  `long`
  `getDiskWritesAvgLatency()`
  Returns the disk writes average latency in nanoseconds.
  `float`
  `getDiskWritesRate()`
  Returns the average latency of disk writes in nanoseconds.
  `long`
  `getFlushTimeAvgLatency()`
  Returns the flush time average latency.
  `long`
  `getMaxOpLogSize()`
  Returns the maximum size (in megabytes) that a single op-log can grow to.
  `String`
  `getName()`
  Returns the name of the DiskStore.
  `int`
  `getQueueSize()`
  Returns the maximum number of operations that can be asynchronously queued for saving to disk.
  `long`
  `getTimeInterval()`
  Returns the time (in milliseconds) that can elapse before unwritten data is saved to disk.
  `int`
  `getTotalBackupCompleted()`
  Returns the number of backups of this DiskStore that have been completed.
  `int`
  `getTotalBackupInProgress()`
  Returns the number of backups currently in progress on this DiskStore.
  `long`
  `getTotalBytesOnDisk()`
  Returns the total number of bytes of space this DiskStore has used.
  `int`
  `getTotalQueueSize()`
  Returns the number of entries in the asynchronous queue waiting to be written to disk.
  `default int`
  `getTotalRecoveredEntryCreates()`
  `default int`
  `getTotalRecoveredEntryDestroys()`
  `default int`
  `getTotalRecoveredEntryUpdates()`
  `int`
  `getTotalRecoveriesInProgress()`
  Returns the number of persistent regions currently being recovered from disk.
  `int`
  `getWriteBufferSize()`
  Returns the size of the write buffer that this DiskStore will use when writing data to disk.
  `boolean`
  `isAutoCompact()`
  Returns whether disk files are to be automatically compacted.
  `boolean`
  `isForceCompactionAllowed()`
  Returns whether manual compaction of disk files is allowed.
  `void`
  `setDiskUsageCriticalPercentage(float criticalPercent)`
  Sets the value of the disk usage critical percentage.
  `void`
  `setDiskUsageWarningPercentage(float warningPercent)`
  Sets the value of the disk usage warning percentage.

- ## Method Details

  - ### getName

    String getName()
    Returns the name of the DiskStore.
    Returns:
      the name of the DiskStore

  - ### isAutoCompact

    boolean isAutoCompact()
    Returns whether disk files are to be automatically compacted.
    Returns:
      True if disk files are automatically compacted, false otherwise

  - ### getCompactionThreshold

    int getCompactionThreshold()
    Returns the threshold at which an op-log may be compacted. Until it reaches this threshold the op-log will not be compacted. The threshold is a percentage in the range 0..100.
    Returns:
      the threshold at which an op-log may be compacted

  - ### isForceCompactionAllowed

    boolean isForceCompactionAllowed()
    Returns whether manual compaction of disk files is allowed.
    Returns:
      True if manual compaction is allowed, false otherwise.

  - ### getMaxOpLogSize

    long getMaxOpLogSize()
    Returns the maximum size (in megabytes) that a single op-log can grow to.
    Returns:
      the maximum size (in megabytes) that a single op-log can grow to

  - ### getTimeInterval

    long getTimeInterval()
    Returns the time (in milliseconds) that can elapse before unwritten data is saved to disk.
    Returns:
      the time (in milliseconds) that can elapse before unwritten data is saved to disk

  - ### getWriteBufferSize

    int getWriteBufferSize()
    Returns the size of the write buffer that this DiskStore will use when writing data to disk.
    Returns:
      the size of the write buffer that this DiskStore will use when writing data to disk

  - ### getDiskDirectories

    String[] getDiskDirectories()
    Returns the path of the directories to which the region's data will be written.
    Returns:
      the path of the directories to which the region's data will be written

  - ### getQueueSize

    int getQueueSize()
    Returns the maximum number of operations that can be asynchronously queued for saving to disk. When this limit is reached operations will block until they can be put in the queue.
    Returns:
      the maximum number of operations that can be asynchronously queued for saving to disk

  - ### getTotalBytesOnDisk

    long getTotalBytesOnDisk()
    Returns the total number of bytes of space this DiskStore has used.
    Returns:
      the total number of bytes of space this DiskStore has used

  - ### getDiskReadsRate

    float getDiskReadsRate()
    Returns the average latency of disk reads in nanoseconds Its the average latency required to read a byte from disk. Each entry in region has some overhead in terms of number of extra bytes while persisting data. So this rate won't match the number of bytes put in all regions.This is rate of actual bytes system is persisting.
    Returns:
      the average latency of disk reads in nanoseconds

  - ### getDiskWritesRate

    float getDiskWritesRate()
    Returns the average latency of disk writes in nanoseconds. Its the average latency required to write a byte to disk. Each entry in region has some overhead in terms of number of extra bytes while persisting data. So this rate won't match the number of bytes put in all regions. This is rate of actual bytes system is persisting.
    Returns:
      the average latency of disk writes in nanoseconds

  - ### getDiskReadsAvgLatency

    long getDiskReadsAvgLatency()
    Returns the disk reads average latency in nanoseconds. It depicts average time needed to read one byte of data from disk.
    Returns:
      the disk reads average latency in nanoseconds

  - ### getDiskWritesAvgLatency

    long getDiskWritesAvgLatency()
    Returns the disk writes average latency in nanoseconds. It depicts average time needed to write one byte of data to disk.
    Returns:
      the disk writes average latency in nanoseconds

  - ### getFlushTimeAvgLatency

    long getFlushTimeAvgLatency()
    Returns the flush time average latency.
    Returns:
      the flush time average latency

  - ### getTotalQueueSize

    int getTotalQueueSize()
    Returns the number of entries in the asynchronous queue waiting to be written to disk.
    Returns:
      the number of entries in the asynchronous queue waiting to be written to disk

  - ### getTotalBackupInProgress

    int getTotalBackupInProgress()
    Returns the number of backups currently in progress on this DiskStore.
    Returns:
      the number of backups currently in progress on this DiskStore

  - ### getTotalBackupCompleted

    int getTotalBackupCompleted()
    Returns the number of backups of this DiskStore that have been completed.
    Returns:
      the number of backups of this DiskStore that have been completed

  - ### getTotalRecoveriesInProgress

    int getTotalRecoveriesInProgress()
    Returns the number of persistent regions currently being recovered from disk.
    Returns:
      the number of persistent regions currently being recovered from disk

  - ### getTotalRecoveredEntryCreates

    default int getTotalRecoveredEntryCreates()

  - ### getTotalRecoveredEntryUpdates

    default int getTotalRecoveredEntryUpdates()

  - ### getTotalRecoveredEntryDestroys

    default int getTotalRecoveredEntryDestroys()

  - ### forceRoll

    void forceRoll()
    Requests the DiskStore to start writing to a new op-log. The old oplog will be asynchronously compressed if compaction is set to true. The new op-log will be created in the next available directory with free space. If there is no directory with free space available and compaction is set to false, then a DiskAccessException saying that the disk is full will be thrown. If compaction is true then the application will wait for the other op-logs to be compacted and additional space is available.

  - ### forceCompaction

    boolean forceCompaction()
    Requests the DiskStore to start compacting. The compaction is done even if automatic compaction is not configured. If the current, active op-log has had data written to it, and may be compacted, then an implicit call to forceRoll will be made so that the active op-log can be compacted. This method will block until compaction finishes.
    Returns:
      True if one or more op-logs were compacted or false to indicate that no op-logs were ready to be compacted or that a compaction was already in progress.

  - ### flush

    void flush()
    Causes any data that is currently in the asynchronous queue to be written to disk. Does not return until the flush is complete.

  - ### getDiskUsageWarningPercentage

    float getDiskUsageWarningPercentage()
    Returns the warning threshold for disk usage as a percentage of the total disk volume.
    Returns:
      the warning percent
    Since:
      GemFire 8.0

  - ### getDiskUsageCriticalPercentage

    float getDiskUsageCriticalPercentage()
    Returns the critical threshold for disk usage as a percentage of the total disk volume.
    Returns:
      the critical percent
    Since:
      GemFire 8.0

  - ### getDiskUsagePercentage

    default float getDiskUsagePercentage()
    Returns the usage percentage of this disk storage if directories where created with max size.
    Returns:
      the usage percentage of this disk storage if directories where created with max size
    Since:
      Geode 1.10

  - ### getDiskFreePercentage

    default float getDiskFreePercentage()
    Returns the free percentage of this disk storage if directories where created with max size.
    Returns:
      the free percentage of this disk storage if directories where created with max size
    Since:
      Geode 1.11

  - ### setDiskUsageWarningPercentage

    void setDiskUsageWarningPercentage(float warningPercent)
    Sets the value of the disk usage warning percentage.
    Parameters:
      `warningPercent` - the warning percent

  - ### setDiskUsageCriticalPercentage

    void setDiskUsageCriticalPercentage(float criticalPercent)
    Sets the value of the disk usage critical percentage.
    Parameters:
      `criticalPercent` - the critical percent